import React, { FunctionComponent, ReactElement } from "react";
import { shallowEqual, useDispatch, useSelector } from "react-redux";
import { NavLink, useNavigate } from "react-router-dom";
import { AppDispatch, AppState } from "../../store/store";
import { initState } from "../../store/users/users.slice";
import styles from "./Header.module.css";

const Header: FunctionComponent = (): ReactElement => {
  const {user} = useSelector((state: AppState) => state.users, shallowEqual)
  const navigate = useNavigate()
  const dispatch: AppDispatch = useDispatch()
  const logoutHandler = () => {
    localStorage.removeItem('token')
    dispatch(initState())
    navigate('/login')
  }
  return (
    <header className={styles.Header}>
          <NavLink className={styles.Header__link} to={"/add-product"}>
            Add product
          </NavLink>
          <NavLink className={styles.Header__link} to={"/products"}>
            Products
          </NavLink>
          <NavLink className={styles.Header__link} to={"/edit-user"}>
            Edit user
          </NavLink>
          <div>
            {user?.username}
          </div>
          <button onClick={logoutHandler}>Logout</button>
    </header>
  );
};

export default Header;
